# reporting.exporters.query

Sent on reporting.exporters changes.

Type: object

##

#### ReportingExportsAddedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### ReportingExportsEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

Unique identifier for the reporting exporter.

##

#### Enabled

Type: boolean

Whether this exporter is enabled and active.

##

#### Attributes

Type: object

Specific attributes for the exporter.

No Additional Properties

##

#### Exporter Type

Type: const

Type of exporter - Graphite.

Specific value: `"GRAPHITE"`

##

#### Destination Ip

Type: string

IP address of the Graphite server.

Must be at least `1` characters long

##

#### Destination Port

Type: integer

Port number of the Graphite server.

Value must be greater or equal to `1` and lesser or equal to `65535`

##

#### Prefix

Type: string Default: "scale"

Prefix to prepend to all metric names.

##

#### Namespace

Type: string

Namespace to organize metrics under.

Must be at least `1` characters long

##

#### Update Every

Type: integer Default: 1

Interval in seconds between metric updates.

Value must be greater or equal to `1`

##

#### Buffer On Failures

Type: integer Default: 10

Number of updates to buffer when Graphite server is unavailable.

Value must be greater or equal to `1`

##

#### Send Names Instead Of Ids

Type: boolean Default: true

Whether to send human-readable names instead of internal IDs.

##

#### Matching Charts

Type: string Default: "*"

Pattern to match charts for export (supports wildcards).

Must be at least `1` characters long

##

#### Name

Type: string

User defined name of exporter configuration.

##

#### ReportingExportsChangedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

##

#### ReportingExportsEntry

Type: object
No Additional Properties

##

#### Id

Type: integer

Unique identifier for the reporting exporter.

##

#### Enabled

Type: boolean

Whether this exporter is enabled and active.

##

#### Attributes

Type: object

Specific attributes for the exporter.

No Additional Properties

##

#### Exporter Type

Type: const

Type of exporter - Graphite.

Specific value: `"GRAPHITE"`

##

#### Destination Ip

Type: string

IP address of the Graphite server.

Must be at least `1` characters long

##

#### Destination Port

Type: integer

Port number of the Graphite server.

Value must be greater or equal to `1` and lesser or equal to `65535`

##

#### Prefix

Type: string Default: "scale"

Prefix to prepend to all metric names.

##

#### Namespace

Type: string

Namespace to organize metrics under.

Must be at least `1` characters long

##

#### Update Every

Type: integer Default: 1

Interval in seconds between metric updates.

Value must be greater or equal to `1`

##

#### Buffer On Failures

Type: integer Default: 10

Number of updates to buffer when Graphite server is unavailable.

Value must be greater or equal to `1`

##

#### Send Names Instead Of Ids

Type: boolean Default: true

Whether to send human-readable names instead of internal IDs.

##

#### Matching Charts

Type: string Default: "*"

Pattern to match charts for export (supports wildcards).

Must be at least `1` characters long

##

#### Name

Type: string

User defined name of exporter configuration.

##

#### ReportingExportsRemovedEvent

Type: object
No Additional Properties

##

#### Id

Type: integer

Required roles: REPORTING_READ